%bcond_with python_bootstrap

%global pypi_name sphinxcontrib-applehelp

Summary:       Sphinx extension for Apple help books
Name:          python-%{pypi_name}
Version:       1.0.6
Release:       2%{?dist}
License:       BSD
URL:           http://sphinx-doc.org/
Source0:       https://github.com/sphinx-doc/sphinxcontrib-applehelp/archive/refs/tags/%{version}.tar.gz

BuildRequires: gettext python%{python3_pkgversion}-devel python%{python3_pkgversion}-sphinx
BuildRequires: python%{python3_pkgversion}-setuptools python%{python3_pkgversion}-pytest

BuildArch:     noarch

%description
sphinxcontrib-applehelp is a sphinx extension which outputs Apple help books.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        Sphinx extension for Apple help books

%description -n python%{python3_pkgversion}-%{pypi_name}
sphinxcontrib-applehelp is a sphinx extension which outputs Apple help books.

%prep
%autosetup -n %{pypi_name}-%{version}
find -name '*.mo' -delete

%generate_buildrequires
%pyproject_buildrequires

%build
for po in $(find -name '*.po'); do
  msgfmt --output-file=${po%.po}.mo ${po}
done

%pyproject_wheel

%install
%pyproject_install

pushd %{buildroot}%{python3_sitelib}
for lang in `find sphinxcontrib/applehelp/locales -maxdepth 1 -mindepth 1 -type d -not -path '*/\.*' -printf "%f "`;
do
  test $lang == __pycache__ && continue
  install -D sphinxcontrib/applehelp/locales/$lang/LC_MESSAGES/*.mo -t %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES
done
rm -rf sphinxcontrib/applehelp/locales
ln -s %{_datadir}/locale sphinxcontrib/applehelp/locales
popd

%find_lang sphinxcontrib.applehelp

%check
# just close test when bootstrap build
%if %{without python_bootstrap}
%pytest
%endif

%files -n python%{python3_pkgversion}-%{pypi_name} -f sphinxcontrib.applehelp.lang

%license LICENSE
%doc README.rst
%{python3_sitelib}/sphinxcontrib/
%{python3_sitelib}/sphinxcontrib_applehelp*.dist-info

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.6-2
- Rebuilt for loongarch release

* Thu Sep 21 2023 Shuo Wang <abushwang@tencent.com> - 1.0.6-1
- update to 1.0.6

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-6
- Rebuilt for python 3.11

* Tue Sep 12 2023 Shuo Wang <abushwang@tencent.com> - 1.0.2-5
- add python_bootstrap for python update

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 13 2023 Shuo Wang <abushwang@tencent.com> - 1.0.2-1
- initial build
